Communications Types
Updates a communications type
Updates a communications type
PATCH
/
v1
/
communications
/
types
/
{id}
Updates a communications type
curl --request PATCH \
--url https://api.rootly.com/v1/communications/types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "communications_types",
"attributes": {
"name": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123
}
}
}
'import requests
url = "https://api.rootly.com/v1/communications/types/{id}"
payload = { "data": {
"type": "communications_types",
"attributes": {
"name": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'communications_types',
attributes: {name: '<string>', description: '<string>', color: '<string>', position: 123}
}
})
};
fetch('https://api.rootly.com/v1/communications/types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "communications_types",
"attributes": {
"name": "<string>",
"color": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Communications Type ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
Previous
[DEPRECATED] List custom field options[DEPRECATED] Use form field endpoints instead. List custom field options
Next
⌘I
Updates a communications type
